# eric4.QScintilla.Exporters.ExporterRTF

Module implementing an exporter for RTF.

### Classes

ExporterRTF | Class implementing an exporter for RTF.

### Functions

None

## ExporterRTF

Class implementing an exporter for RTF.

### Derived from

ExporterBase

### Methods

ExporterRTF | Constructor
__GetRTFNextControl | Private method to extract the next RTF control word from style.
__GetRTFStyleChange | Private method to extract control words that are different between two styles.
exportSource | Public method performing the export.

#### ExporterRTF (Constructor)

ExporterRTF(editor, parent = None)

Constructor

editor
  reference to the editor object (QScintilla.Editor.Editor)
parent
  parent object of the exporter (QObject)

#### ExporterRTF.__GetRTFNextControl

__GetRTFNextControl(pos, style)

Private method to extract the next RTF control word from style.

pos
  position to start search (integer)
style
  style definition to search in (string)

Returns:
  tuple of new start position and control word found (integer, string)

#### ExporterRTF.__GetRTFStyleChange

__GetRTFStyleChange(last, current)

Private method to extract control words that are different between two styles.

last
  least recently used style (string)
current
  current style (string)

Returns:
  string containing the delta between these styles (string)

#### ExporterRTF.exportSource

exportSource()

Public method performing the export.

Up